Contributing to Customizer
==========================

Before you can start contributing, you will need a GitHub account.
To create a new account, [join GitHub]. Even outside GitHub, you can
still contribute by writing a review and share your experience of
remastering using Customizer on other web sites.

Feedback
--------

Most feedback shall be submitted via [GitHub Issues]. The feedback may
include bug reports, questions or suggestions related to Customizer.
To avoid asking duplicate or off-topic questions, check [our FAQ].

Use the following steps to provide details.

1. Run Customizer GUI/CLI from Terminal to see output messages
2. Copy output in Terminal and paste to [GitHub Gists] or [Pastebin]
3. Provide link to the pasted log in the new issue
4. Take a screenshot to describe the issue, if available

Refer to the following issues as example.

* Issues with simple description: [#3], [#11], [#33]
* Issues with simple question: [#49], [#77]
* Issues with useful details: [#64], [#74]

Documentation
-------------

This project heavily relies on [GitHub Wiki] as main resource. While
the wiki may be relevant for now, eventually some resources will get
outdated. This project is missing decent tutorials for users.

Translation
-----------

Translations are made possible by using [Qt Linguist], a tool for
adding translations to Qt applications. At time of writing, we don't
have any guide for adding translation to Customizer GUI.

Use either one of the following ways to submit translation.

* submit as new issue with the link to translation files, or
* [fork] the repository and make [pull request], or
* send the translation files itself to `xakepa10@gmail.com`

Maintainership
--------------

Customizer was initially maintained by "Customizer Development Team"
that consists of several [members] on Launchpad. Since development has
moved to GitHub, the project relies more contributions from users on
GitHub rather than contributions from the team or maintainers.

Attribution
-----------

If you know of anyone missing from the [contributors] listing, create
a new issue to inform the name. Include text of relevant contributions
or link to existing resources that supports the attribution.


[join GitHub]: https://github.com/join
[GitHub Issues]: ../../issues
[our FAQ]: ../../wiki/FAQ
[GitHub Gists]: https://gist.github.com/
[Pastebin]: http://pastebin.com/
[#3]: ../../issues/3
[#11]: ../../issues/11
[#33]: ../../issues/33
[#49]: ../../issues/49
[#77]: ../../issues/77
[#64]: ../../issues/64
[#74]: ../../issues/74
[GitHub Wiki]: ../../wiki
[Qt Linguist]: http://doc.qt.io/qt-4.8/linguist-manual.html
[fork]: https://help.github.com/articles/fork-a-repo/
[pull request]: https://help.github.com/articles/using-pull-requests/
[members]: https://launchpad.net/~customizer-dev-team/+members
[contributors]: data/contributors
